@import url("https://fonts.googleapis.com/css2?family=Josephin+Sans:wght@100;200;300;400;600;700&display=swap");

:root {
  --cor-primaria: #000000;
  --cor-secundaria: #f6f6f6;
  --cor-terciaria: #22d4fd;
  --cor-hover: #272727;

  --fonte-primaria: "Josephin Sans", sans-serif;
  --fonte-secundaria: "Josephin Sans", sans-serif;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  /* height: 100vh; */
  background-color: var(--cor-primaria);
  color: var(--cor-secundaria);
}
.titulo-destaque {
  background: radial-gradient(
    circle,
    rgba(63, 94, 251, 1) 0%,
    rgba(252, 70, 107, 1) 100%
  );
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
}

.cabecalho {
  padding: 2% 0% 0% 15%;
}

.cabecalho-menu {
  display: flex;
  gap: 80px;
}
.cabecalho-menu-link {
  text-decoration: none;
  color: #fc466b;
  font-family: var(--fonte-secundaria);
  font-size: 1.5 rem;
  font-weight: 600;
}
.apresentacao {
  padding: 5% 15%;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  width: 100%;
  position: relative;
  gap: 82px;
}

.apresentacao-conteudo {
  width: 50%;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.apresentacao-conteudo-titulo {
  font-size: 2.25 rem;
  font-family: var(--fonte-primaria);
}

.apresentacao-conteudo-texto {
  font-size: 1.5 rem !important;
  font-family: var(--fonte-primaria) !important;
  line-height: 1.5 !important;
}

.apresentacao-links {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  align-items: center;
  gap: 36px;
}

.apresentacao-links-subtitulo {
  font-family: var(--fonte-primaria);
  font-weight: 400;
  font-size: 1.5 rem;
}

.apresentacao-links-navegacao {
  /* background-color: #22D4FD; */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 8px;
  width: 50%;
  text-align: center;
  border-radius: 8px;
  font-size: 1.5 rem;
  font-weight: 600;
  padding: 21.5px 0;
  text-decoration: none;
  color: var(--cor-secundaria);
  border: 2px solid;
  border-image: linear-gradient(135deg, #3f5efb 0%, #fc466b 100%) 1;
  font-family: "Montserrat", sans-serif;
}

.apresentacao-links-icone {
  width: 30px;
  height: 30px;
}

.apresentacao-links-navegacao:hover {
  background-color: var(--cor-hover);
}

.apresentacao-imagem {
  width: 50%;
  border-radius: 20px;
  background: #3f5efb;
  background: radial-gradient(
    circle,
    rgba(63, 94, 251, 1) 0%,
    rgba(252, 70, 107, 1) 100%
  );
  padding: 8px;
  box-shadow: 0 0 30px rgba(63, 94, 251, 0.5);
}

.rodape {
  background: radial-gradient(
    circle,
    rgba(63, 94, 251, 1) 0%,
    rgba(252, 70, 107, 1) 100%
  );
  text-align: center;
  color: var(--cor-secundaria);
  padding: 24px;
  font-family: var(--fonte-primaria);
  font-size: 1.5 rem;
  font-weight: 400;
}

@media (max-width: 1200px) {
  .cabecalho {
    padding: 10%;
  }

  .cabecalho-menu {
    justify-content: center;
  }

  .apresentacao {
    flex-direction: column-reverse;
    padding: 5%;
  }

  .apresentacao-conteudo {
    width: auto;
  }

  .apresentacao-imagem {
    width: 100%;
    max-width: 400px;
    padding: 8px;
    margin: 0 auto;
    display: block;
  }
}
